summaryrefslogtreecommitdiffstats
path: root/source/e
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2013-11-04 17:08:47 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:57:36 +0200
commit76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (patch)
tree9b98e6e193c7870cb27ac861394c1c4592850922 /source/e
parent9664bee729d487bcc0a0bc35859f8e13d5421c75 (diff)
downloadcurrent-76fc4757ac91ac7947a01fb7b53dddf9a78a01d1.tar.gz
current-76fc4757ac91ac7947a01fb7b53dddf9a78a01d1.tar.xz
Slackware 14.1slackware-14.1
Mon Nov 4 17:08:47 UTC 2013 Slackware 14.1 x86_64 stable is released! It's been another interesting release cycle here at Slackware bringing new features like support for UEFI machines, updated compilers and development tools, the switch from MySQL to MariaDB, and many more improvements throughout the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to 'source/e')
-rwxr-xr-xsource/e/emacs/emacs.SlackBuild10
1 files changed, 5 insertions, 5 deletions
diff --git a/source/e/emacs/emacs.SlackBuild b/source/e/emacs/emacs.SlackBuild
index 7aa4d9db7..64552b396 100755
--- a/source/e/emacs/emacs.SlackBuild
+++ b/source/e/emacs/emacs.SlackBuild
@@ -27,9 +27,9 @@
# Modified by Patrick Volkerding <volkerdi@slackware.com>
PKGNAM=emacs
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
# Determine version number the tarball is labeled with:
-TARBALLVER=${TARBALLVER:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+TARBALLVER=${TARBALLVER:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
# OK, now what's being used as the source directory version number... account
# for subversions a, b, c, and d in the $TARBALLVER:
SRCDIRVER=$(echo $TARBALLVER | tr -d a | tr -d b | tr -d c | tr -d d)
@@ -72,7 +72,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$TARBALLVER
-tar xvf $CWD/$PKGNAM-$TARBALLVER.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-$TARBALLVER.tar.xz || exit 1
cd $PKGNAM-$SRCDIRVER || exit 1
chown -R root:root .
@@ -95,7 +95,7 @@ CXXFLAGS="$SLKCFLAGS" \
--without-gconf \
--without-gsettings \
--with-x \
- --with-x-toolkit=gtk \
+ --with-x-toolkit=gtk2 \
--build=${ARCH}-slackware-linux
make $NUMJOBS || make || exit 1
@@ -110,7 +110,7 @@ make install DESTDIR=$PKG || exit 1
# Also add a version of the binary that is not linked to X11:
cd $TMP
rm -rf $PKGNAM-$TARBALLVER
-tar xvf $CWD/$PKGNAM-$TARBALLVER.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-$TARBALLVER.tar.xz || exit 1
cd $PKGNAM-$SRCDIRVER || exit 1
chown -R root:root .